<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="chapter.aspx.cs" Inherits="RM.Web.Training.tiku.chapter" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />    
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Chapter_Manager_Title")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_zjlx")%></title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />

    <link type="text/css" href="/Themes/Styles/mobile_index.css" rel="stylesheet" />
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    
    <script type="text/javascript">
        function getExamList(key, examName) {        
            if (examName == "<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_mnks")%>") {
                openDialog("/Training/Exam/ExamIntro_mobile.aspx?ExamKey=" + key, 'Examination_Test', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_info")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamIntroduce_ksxz")%>', 320, 350, 50, 50);
            } else {
                openDialog("/Training/Exam/ExamIntro_mobile.aspx?exam=not&ExamKey=" + key, 'Examination_Test', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ques_info")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamIntroduce_ksxz")%>', 320, 350, 50, 50);
            }            
            return false;
        }
        function Golianxi(examId) {
            if (window.location.href.indexOf("frame.aspx") > 0) {
                window.location = "/Training/tiku/frame.aspx?retURL=/Training/Exam/Practise_mobile.aspx?EKey=" + examId; //进入练习
            }else{
                $("#head_tit").hide();
                window.location = "/Training/Exam/Practise_mobile.aspx?EKey=" + examId; //进入练习
            }
        }

        function questionNum(ctName, id){
            $.get("/Training/Chapter/ChapterList.aspx", { action: "clear", resultKey: resultKey,m:Math.random() }, function (data2) { var c= data2; });
            var resultKey = id;
            if (window.location.href.indexOf("frame.aspx") > 0) {
                location.href = "/Training/tiku/frame.aspx?retURL=/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
             }else{
                $("#head_tit").hide();
                location.href = "/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
             }
        }
        //章节练习2
        /*function questionNum(ctName, id) {
            var resultKey = id;
            $.get("/Training/Chapter/ChapterList_mobile.aspx", { action: "anslv", resultKey: resultKey,m:Math.random()}, function (data) {
                if (data.indexOf("|") >= 0) {
                    var num = data.split("|");
                    datiNum = num[0];
                    if (datiNum != 0){
                        showConfirmMsg2('【' + ctName + ' <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_zj")%>】<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_sclxd")%> ' + datiNum + ' <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterList_ti")%>,<br/><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_sfjx")%>', function (r) {
                            if (r) {
                            if (window.location.href.indexOf("frame.aspx") > 0) {
                                location.href = "/Training/tiku/frame.aspx?retURL=/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
                            }else{
                                $("#head_tit").hide();
                                location.href = "/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
                                }
                            } else {
                                //清理章节答题记录
                                $.get("/Training/Chapter/ChapterList.aspx", { action: "clear", resultKey: resultKey,m:Math.random() }, function (data2) {
                                if (window.location.href.indexOf("frame.aspx") > 0) {
                                        location.href = "/Training/tiku/frame.aspx?retURL=/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
                                    }else{
                                        $("#head_tit").hide();
                                        location.href = "/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
                                    }
                                });
                            }
                        });
                    } else {
                        if (window.location.href.indexOf("frame.aspx") > 0) {
                            location.href = "/Training/tiku/frame.aspx?retURL=/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
                        }else{
                            $("#head_tit").hide();
                            location.href = "/Training/Chapter/ChapterList_mobile.aspx?action=chapter&id=" + id+"&"+Math.random();
                        }
                    }
                }
            });
        }
        */
        //错题练习
        function cishu(courtypename) {   
        if (window.location.href.indexOf("frame.aspx") > 0) {
            window.location.href = "/Training/tiku/frame.aspx?retURL=/Training/Chapter/ChapterList_mobile.aspx?action=cishu&courtypename=" +encodeURI(courtypename) + "&"+Math.random();
            }else{
            $("#head_tit").hide();
            window.location.href = "/Training/Chapter/ChapterList_mobile.aspx?action=cishu&courtypename=" + encodeURI(courtypename) + "&"+Math.random();
            }
        }
        //智能抽题
        function znxt() {            
            var queNum = 0;
            var queNum =$("#queNum").val();
            if(queNum == undefined || queNum ==null ||  queNum =="")
            {
                alert("请输入题数！");
                return;
            }
            var re = /\d[^.]+/;   //判断字符串是否为数字     //判断正整数 /^[1-9]+[0-9]*]*$/   
            if(!re.test(queNum)){  
                alert("请输入数字或正整数！");  
                 return;  
            }else if(queNum<=0){  
                alert("请输入大于0的数字");  
                 return;  
            }  
            var plan_type = $("input[name='plan_type']:checked").val();
            var items_type = $("input[name='items_type']:checked").val();
            var rank = $("input[name='rank']:checked").val();
            //var queNum = $("input[name='tinum']:checked").val();  
            if (window.location.href.indexOf("frame.aspx") > 0) {          
            window.location.href = "/Training/tiku/frame.aspx?retURL=/Training/Chapter/ChapterList_mobile.aspx?action=znct&plan_type="+plan_type+"&queNum=" + queNum + "&rank=" + rank + "&items_type=" + items_type +"&"+Math.random();
           }else{
           $("#head_tit").hide();
           window.location.href = "/Training/Chapter/ChapterList_mobile.aspx?action=znct&queNum=" + queNum + "&plan_type="+plan_type+"&rank=" + rank + "&items_type=" + items_type +"&"+Math.random();
           }
        }

        $(document).ready(function(){
        if (window.location.href.indexOf("frame.aspx") < 0) {       $("#head_tit").hide();   }
});

        
    </script>

    <style type="text/css">
    p img{ margin-bottom:-3px;}
    .tilu_pumping{ padding:0 5px; }
    label{ display:block; padding-left:5px;  }
    .plan_type{height: 30px; overflow:hidden;}
    </style>
</head>

<body>

<div style="width:100%;margin: 70px 0 auto;">
	<div class="mid_head_tit"  id="head_tit" >    
    	<a class="fl tit_a on tc white" href="/Training/tiku/frame.aspx?retURL=/Training/tiku/index.aspx"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Chapter_back")%></a>
        <h3 class="h3 tc fs14 cor1" style="line-height:30px;"><%=titleStr %></h3>
    </div>
    <div class="tilu_wrong background1 pb60 fs14"><br />
    <%=retStr %>
    </div>
</div>
</body>
</html>